! dmc apr 2004 -- all xja routines use bmnmx instead of bmidp -- code
!  now in terms of min and max b on flux surfaces, not midplane values
!=====================================================================
!  xjaini -- init xjadep local common at start of dep/nutrav track
!
subroutine xjaini
  !
  use nbi_com
  !
  use xjasub_mod
  !
  !============
  implicit none
  integer :: i
  !============
  if(.not.xjasubs_init) then
     call xja_init
  end if
  !  signal common block reinitialized:
  init0=0
  !
  iloc(1:4)=-1
  !
  inzp1=nzones+1
  icen=inzp1
  i2nzp1=inzp1+nzones
  i2nzpx=i2nzp1+2
  !
  zevtv2=1.0_fp/v2toev
  !
  return
end subroutine xjaini
